"""
== == == == == == == == == == == == == == == == == == ==
Auto generated python script for ISSM:   test3007.m
Created on 2012-09-25 via translateToPy.py Ver 1.0 by mikep
== == == == == == == == == == == == == == == == == == ==

Matlab script conversion into python
translateToPy.py Author: Michael Pellegrin
translateToPy.py Date: 09/24/12
== == == == == == == == == == == == == == == == == == ==
"""

from MatlabFuncs import *
from model import *
from EnumDefinitions import *
import numpy
from triangle import *
from setmask import *
from parameterize import *
from setflowequation import *
from solve import *

md=triangle(model(),'../Exp/Square.exp',150000)
md=setmask(md,'all','')
md=parameterize(md,'../Par/SquareShelfConstrained.py')
md=setflowequation(md,'macayeal','all')
md.extrude(5,3.)
md.cluster=generic('name',oshostname(),'np',3)
md.autodiff.isautodiff=true
md=solve(md,PrognosticSolutionEnum())


# Fields and tolerances to track changes

field_names     =['Thickness']
field_tolerances=[1e-13]
field_values=[\
	md.results['PrognosticSolution'][1]['Thickness'],\
	]
